Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api
Class LabelHandle

    java.lang.Object
      org.eclipse.birt.report.model.api.DesignElementHandle
          org.eclipse.birt.report.model.api.ReportElementHandle
              org.eclipse.birt.report.model.api.ReportItemHandle
                  org.eclipse.birt.report.model.api.LabelHandle

All Implemented Interfaces:
  IReportItemMethodContext, org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel, org.eclipse.birt.report.model.elements.interfaces.ILabelModel, org.eclipse.birt.report.model.elements.interfaces.IReportItemModel, org.eclipse.birt.report.model.elements.interfaces.IStyledElementModel

    public class LabelHandle

extends ReportItemHandle
implements org.eclipse.birt.report.model.elements.interfaces.ILabelModel

Represents a label report item. A label shows a static piece of text displayed in the report. The label has the following properties:

- An optional hyperlink ( action ) for this label.
- An help text for the label.
- An static text message to display.

Field Summary

Fields inherited from class org.eclipse.birt.report.model.api.ReportItemHandle
`DATABINDING_TYPE_DATA, DATABINDING_TYPE_NONE, DATABINDING_TYPE_REPORT_ITEM_REF`

Fields inherited from class org.eclipse.birt.report.model.api.ReportElementHandle
`element`

Fields inherited from class org.eclipse.birt.report.model.api.DesignElementHandle
`module`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.ILabelModel
`ACTION_PROP, HELP_TEXT_ID_PROP, HELP_TEXT_PROP, TEXT_ID_PROP, TEXT_PROP`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IReportItemModel
`ACL_EXPRESSION_PROP, ALLOW_EXPORT_PROP, BOOKMARK_DISPLAY_NAME_PROP, BOOKMARK_PROP, BOUND_DATA_COLUMNS_PROP, CASCADE_ACL_PROP, CUBE_PROP, DATA_BINDING_REF_PROP, DATA_SET_PROP, HEIGHT_PROP, MULTI_VIEWS_PROP, ON_CREATE_METHOD, ON_PAGE_BREAK_METHOD, ON_PREPARE_METHOD, ON_RENDER_METHOD, PARAM_BINDINGS_PROP, PUSH_DOWN_PROP, THEME_PROP, TOC_PROP, VISIBILITY_PROP, WIDTH_PROP, X_PROP, Y_PROP, Z_INDEX_PROP`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IStyledElementModel
`STYLE_PROP`

Fields inherited from interface org.eclipse.birt.report.model.api.elements.IReportItemMethodContext
`ON_CREATE_CONTEXT, ON_PREPARE_CONTEXT, ON_RENDER_CONTEXT`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel
`COMMENTS_PROP, CUSTOM_XML_PROP, DISPLAY_NAME_ID_PROP, DISPLAY_NAME_PROP, EVENT_HANDLER_CLASS_PROP, EXTENDS_PROP, FULL_LABEL, ID_SUFFIX, NAME_PROP, NEW_HANDLER_ON_EACH_EVENT_PROP, NO_SLOT, PROPERTY_MASKS_PROP, REF_TEMPLATE_PARAMETER_PROP, SHORT_LABEL, USER_LABEL, USER_PROPERTIES_PROP, VIEW_ACTION_PROP`

Constructor Summary
`LabelHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)` Constructs a label handle with the given design and the element.

Method Summary
`java.util.Iterator<ActionHandle>` | `actionsIterator()` Returns the iterator for action defined on this label item.
`ActionHandle` | `getActionHandle()` Returns a handle to work with the action property, action is a structure that defines a hyperlink.
`java.lang.String` | `getDisplayText()` Returns the localized text for the label.
`java.lang.String` | `getHelpText()` Returns the help text of this label item.
`java.lang.String` | `getHelpTextKey()` Returns the help text key of this label item.
`java.lang.String` | `getText()` Returns the static text for the label.
`java.lang.String` | `getTextKey()` Returns the resource key of the static text of the label.
`ActionHandle` | `setAction(Action action)` Set an action on the image.
`void` | `setHelpText(java.lang.String text)` Sets the help text of this label item.
`void` | `setHelpTextKey(java.lang.String resourceKey)` Sets the help text key of this label item.
`void` | `setText(java.lang.String text)` Sets the text of the label.
`void` | `setTextKey(java.lang.String resourceKey)` Sets the resource key of the static text of the label.

Methods inherited from class org.eclipse.birt.report.model.api.ReportItemHandle
`addColumnBinding, addTOC, addTOC, addView, allowExport, canAddView, canCascadeACL, cascadeACL, columnBindingsIterator, dropView, findColumnBinding, getACLExpression, getAvailableBindings, getAvailableCubeBindingReferenceList, getAvailableDataBindingReferenceList, getAvailableDataSetBindingReferenceList, getBookmark, getBookmarkDisplayName, getColumnBindings, getCube, getCurrentView, getDataBindingReference, getDataBindingReferenceName, getDataBindingType, getDataSet, getHeight, getMethods, getNamedCubeBindingReferenceList, getNamedDataBindingReferenceList, getNamedDataSetBindingReferenceList, getOnCreate, getOnPageBreak, getOnPrepare, getOnRender, getProperty, getTheme, getTOC, getTocExpression, getViewHost, getViews, getWidth, getX, getY, getZIndex, paramBindingsIterator, pushDown, removedColumnBinding, removedColumnBindings, removedUnusedColumnBindings, setACLExpression, setAllowExport, setBookmark, setBookmarkDisplayName, setCascadeACL, setCube, setCurrentView, setDataBindingReference, setDataSet, setHeight, setHeight, setOnCreate, setOnPageBreak, setOnPrepare, setOnRender, setPushDown, setTheme, setThemeName, setTocExpression, setWidth, setWidth, setX, setX, setY, setY, setZIndex, visibilityRulesIterator`

Methods inherited from class org.eclipse.birt.report.model.api.ReportElementHandle
`getComments, getCustomXml, getDisplayName, getDisplayNameKey, getElement, getPropertyMask, isValidLayoutForCompoundElement, isValidReferenceForCompoundElement, propertyMaskIterator, setComments, setCustomXml, setDisplayName, setDisplayNameKey, setPropertyMask`

Methods inherited from class org.eclipse.birt.report.model.api.DesignElementHandle
`add, add, addElement, addElement, addListener, addUserPropertyDefn, cachePropertyHandles, canContain, canContain, canContain, canContain, canDrop, canEdit, canTransformToTemplate, clearAllProperties, clearContents, clearProperty, clientsIterator, copy, copyPropertyTo, createTemplateElement, derivedIterator, doSort, drop, drop, drop, dropAndClear, dropAndClear, dropAndClear, dropUserPropertyDefn, findContentSlot, getBooleanProperty, getChoices, getColorProperty, getContainer, getContainerPropertyHandle, getContainerSlotHandle, getContent, getContentCount, getContents, getDefn, getDesign, getDesignHandle, getDimensionProperty, getDisplayLabel, getDisplayLabel, getDisplayProperty, getEffectiveModule, getElementFactory, getElementProperty, getEventHandlerClass, getExpressionProperty, getExtends, getExternalizedValue, getExternalizedValue, getExternalizedValue, getFactoryElementHandle, getFactoryPropertyHandle, getFloatProperty, getFontProperty, getFullName, getHostViewHandle, getID, getIndex, getIntProperty, getListProperty, getListProperty, getMethods, getModule, getModuleHandle, getName, getNumberProperty, getPrivateStyle, getPropertyBinding, getPropertyBindingExpression, getPropertyBindings, getPropertyDefn, getPropertyHandle, getPropertyIterator, getQualifiedName, getRoot, getSemanticErrors, getSlot, getStringProperty, getStyle, getUserProperties, getUserPropertyDefnHandle, getXPath, hasLocalProperties, hasSemanticError, initializeSlotHandles, isDirectionRTL, isInTemplateParameter, isTemplateParameterValue, isValid, localize, move, move, moveTo, moveTo, moveTo, moveTo, newHandlerOnEachEvent, paste, paste, paste, paste, removeListener, revertToReportItem, revertToTemplate, semanticCheck, setBooleanProperty, setEncryption, setEventHandlerClass, setExpressionProperty, setExtends, setExtendsElement, setExtendsName, setFloatProperty, setIntProperty, setName, setNewHandlerOnEachEvent, setNumberProperty, setProperties, setProperty, setPropertyBinding, setPropertyBinding, setStringProperty, setStyle, setStyleElement, setStyleName, setValid, shift, showError, slotsIterator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LabelHandle

    public LabelHandle(org.eclipse.birt.report.model.core.Module module,
                       org.eclipse.birt.report.model.core.DesignElement element)

  Constructs a label handle with the given design and the element. The application generally does not create handles directly. Instead, it uses one of the navigation methods available on other element handles.

  Parameters:
    `module` - the module
    `element` - the model representation of the element

Method Detail

### getText

    public java.lang.String getText()

  Returns the static text for the label.

  Returns:
    the static text to display

### getDisplayText

    public java.lang.String getDisplayText()

  Returns the localized text for the label. If the localized text for the text resource key is found, it will be returned. Otherwise, the static text will be returned.

  Returns:
    the localized text for the label

### setText

    public void setText(java.lang.String text)
                 throws SemanticException

  Sets the text of the label. Sets the static text itself. If the label is to be externalized, then set the text ID separately.

  Parameters:
    `text` - the new text for the label
  Throws:
    `SemanticException` - if the property is locked.

### getTextKey

    public java.lang.String getTextKey()

  Returns the resource key of the static text of the label.

  Returns:
    the resource key of the static text

### setTextKey

    public void setTextKey(java.lang.String resourceKey)
                    throws SemanticException

  Sets the resource key of the static text of the label.

  Parameters:
    `resourceKey` - the resource key of the static text
  Throws:
    `SemanticException` - if the resource key property is locked.

### getActionHandle

    public ActionHandle getActionHandle()

  Returns a handle to work with the action property, action is a structure that defines a hyperlink.

  Returns:
    a handle to the action property, return `null` if the action has not been set on the label.
  See Also:
    `ActionHandle`

### setAction

    public ActionHandle setAction(Action action)
                           throws SemanticException

  Set an action on the image.

  Parameters:
    `action` - new action to be set on the image, it represents a bookmark link, hyperlink, and drill through etc.
  Returns:
    a handle to the action property, return `null` if the action has not been set on the image.
  Throws:
    `SemanticException` - if member of the action is not valid.

### actionsIterator

    public java.util.Iterator<ActionHandle> actionsIterator()

  Returns the iterator for action defined on this label item.

  Returns:
    the iterator for `Action` structure list defined on this label item

### getHelpText

    public java.lang.String getHelpText()

  Returns the help text of this label item.

  Returns:
    the help text

### setHelpText

    public void setHelpText(java.lang.String text)
                     throws SemanticException

  Sets the help text of this label item.

  Parameters:
    `text` - the help text
  Throws:
    `SemanticException` - if the resource key property is locked.

### getHelpTextKey

    public java.lang.String getHelpTextKey()

  Returns the help text key of this label item.

  Returns:
    the help text key

### setHelpTextKey

    public void setHelpTextKey(java.lang.String resourceKey)
                        throws SemanticException

  Sets the help text key of this label item.

  Parameters:
    `resourceKey` - the help text key
  Throws:
    `SemanticException` - if the resource key property of the help text is locked.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.